> For the complete documentation index, see [llms.txt](https://docs.voltera.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.voltera.io/docs/v-one/learn-v-one/v-one-projects/99-decimal-counter-project.md).

# 99 Decimal Counter Project

{% hint style="warning" %}
This tutorial is for advanced users; complete the [Hello World](/docs/v-one/learn-v-one/v-one-projects/hello-world-project.md) tutorial first.
{% endhint %}

For this tutorial, we are going to be building a 99 decimal counter circuit, which counts from 00 to 99 at an adjustable speed (using the Pulse Generator Circuit) and can be reset to 00 at the push of a button. The circuit consists of three different counting and logic ICs, two seven-segment LEDs, two diodes, a push-button switch, and some resistors. For a more in-depth explanation of the project, check out our [white paper](https://www.voltera.io/use-cases/white-papers/printing-decimal-counter-circuit-silver-conductive-ink-fr1#Project_overview).

{% hint style="info" %}
**Learning Concept:** How a circuit can take a pulse signal and turn it into a sequential counter.\
\
This board drives two seven-segment displays to count from 00 to 99, with adjustable speed (by the pulse generator board) and a reset function. \
\
A seven-segment display consists of seven individual LEDs arranged to form the shape of the number 8. By turning specific segments on or off, the display can represent any numeral between 0 and 9.  In this circuit, the 74LS93 counters process incoming pulses into binary-coded decimal (BCD) outputs. The 74LS47 decoders convert BCD signals into segment activation patterns for the seven-segment displays. A manual reset button allows for restarting the count.
{% endhint %}

{% embed url="<https://www.youtube.com/watch?v=S5CvogtNrgg>" %}

Our kit includes all the components you need to assemble the 99 decimal counter project. In addition to that you will need conductive ink, solder paste, dispensing tips and an FR1 substrate (3"x4"). If you need another kit, or any other supplies you can grab one from our store:

{% hint style="warning" %}
This circuit requires a stable 5V power supply, like from the pulse generator board, to function properly.
{% endhint %}

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center"><strong>99 Decimal Counter Component Kit</strong></td><td><a href="https://2994552790-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKMS1I2mCuOJeZyXjzOqV%2Fuploads%2FclV0yeDM996batzycOm4%2FPulse%20generator_components_3.jpg?alt=media&amp;token=81429795-8f4a-44f7-a63a-89a3405fbbef">Pulse generator_components_3.jpg</a></td><td><a href="https://store.voltera.io/collections/bundles/products/99-decimal-counter-kit">https://store.voltera.io/collections/bundles/products/99-decimal-counter-kit</a></td></tr></tbody></table>

{% hint style="success" %}
Although this circuit operates normally on its own, we recommend completing the other two projects for a well-rounded learning experience.
{% endhint %}

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td align="center"><strong>Voltage Regulator Project</strong></td><td><a href="https://2994552790-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKMS1I2mCuOJeZyXjzOqV%2Fuploads%2FG7hqVUiPzW4eecUEpHQV%2FVoltage%20regulator_working_2.jpg?alt=media&amp;token=88e313d9-0e17-44e6-b13f-1d37d90cfe8d">Voltage regulator_working_2.jpg</a></td><td><a href="/docs/v-one/learn-v-one/v-one-projects/voltage-regulator-project.md">Voltage Regulator Project</a></td></tr><tr><td align="center"><strong>Pulse Generator Project</strong></td><td><a href="https://2994552790-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKMS1I2mCuOJeZyXjzOqV%2Fuploads%2FnDAT6sPYFIXhExA9CHZ1%2FPulse%20generator_working_1.jpg?alt=media&amp;token=42cec917-3883-4c17-8c3d-4962d859ef8b">Pulse generator_working_1.jpg</a></td><td><a href="/docs/v-one/learn-v-one/v-one-projects/pulse-generator-project.md">Pulse Generator Project</a></td></tr></tbody></table>

{% hint style="warning" %}
Before starting the project, be sure to review the [Safety ](/docs/v-one/getting-started/v-one-user-manual/v-one-safety-information/english.md)[Guidelines](/docs/v-one/getting-started/v-one-user-manual/v-one-safety-information/english.md) for using the V-One.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.voltera.io/docs/v-one/learn-v-one/v-one-projects/99-decimal-counter-project.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
